## com.saxonica.xsltextn
Interface ExtensionElementFactory

All Known Implementing Classes:
  SaxonElementFactory, SaxonElementFactoryEE, SQLElementFactory

    public interface ExtensionElementFactory

Interface ExtensionElementFactory.

A "Factory" for user-defined nodes in the stylesheet tree.

(Actually, it's not strictly a factory: it doesn't create the nodes, it merely identifies what class they should be.)

Method Summary
`Class<? extends StyleElement>` `getExtensionClass(String localname)` Identify the class to be used for stylesheet elements with a given local name.

Method Detail

### getExtensionClass

    Class<? extends StyleElement> getExtensionClass(String localname)

  Identify the class to be used for stylesheet elements with a given local name. The returned class must extend `StyleElement`, and it must have a zero-argument public constructor.

  Returns:
    null if the local name is not a recognised element type in this namespace.

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.